Package ghidra.framework.store

# Class ItemCheckoutStatus

java.lang.Object
ghidra.framework.store.ItemCheckoutStatus

All Implemented Interfaces:
  `Serializable`

public class ItemCheckoutStatus extends Object implements Serializable
`ItemCheckoutStatus` provides immutable status information for a checked-out item. This class is serializable so that it may be passed to a remote client.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemCheckoutStatus(long checkoutId, CheckoutType checkoutType, String user, int version, long time, String projectPath)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Date`
  `getCheckoutDate()`
  Returns the time at which the checkout was completed.
  `long`
  `getCheckoutId()`
  Returns the unique ID for the associated checkout.
  `long`
  `getCheckoutTime()`
  Returns the time at which the checkout was completed.
  `CheckoutType`
  `getCheckoutType()`
  Returns the checkout type
  `int`
  `getCheckoutVersion()`
  Returns the file version which was checked-out.
  `String`
  `getProjectLocation()`
  Return a Project location which corresponds to the projectPath or null if one can not be constructed.
  `String`
  `getProjectName()`
  Return a Project location which corresponds to the projectPath or null if one can not be constructed.
  `String`
  `getProjectPath()`
  Returns user's local project path if known.
  `static String`
  `getProjectPath(String projectPath, boolean isTransient)`
  Get project path string suitable for checkout requests
  `String`
  `getUser()`
  Returns the user name for the associated checkout.
  `String`
  `getUserHostName()`
  Returns the user's hostname associated with the original checkout
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ItemCheckoutStatus

    public ItemCheckoutStatus(long checkoutId, CheckoutType checkoutType, String user, int version, long time, String projectPath)
    Constructor.
    Parameters:
      `checkoutId` - unique checkout ID
      `checkoutType` - type of checkout
      `user` - user name
      `version` - version of file which was checked-out
      `time` - time when checkout was completed.

- ## Method Details

  - ### getCheckoutId

    public long getCheckoutId()
    Returns the unique ID for the associated checkout.

  - ### getCheckoutType

    public CheckoutType getCheckoutType()
    Returns the checkout type
    Returns:
      checkout type

  - ### getUser

    public String getUser()
    Returns the user name for the associated checkout.

  - ### getCheckoutVersion

    public int getCheckoutVersion()
    Returns the file version which was checked-out.

  - ### getCheckoutTime

    public long getCheckoutTime()
    Returns the time at which the checkout was completed.

  - ### getCheckoutDate

    public Date getCheckoutDate()
    Returns the time at which the checkout was completed.
    Returns:

  - ### getProjectPath

    public String getProjectPath()
    Returns user's local project path if known.

  - ### getProjectName

    public String getProjectName()
    Return a Project location which corresponds to the projectPath or null if one can not be constructed.
    Returns:
      project location

  - ### getProjectLocation

    public String getProjectLocation()
    Return a Project location which corresponds to the projectPath or null if one can not be constructed.
    Returns:
      project location

  - ### getUserHostName

    public String getUserHostName()
    Returns the user's hostname associated with the original checkout
    Returns:
      host name or null

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getProjectPath

    public static String getProjectPath(String projectPath, boolean isTransient)
    Get project path string suitable for checkout requests
    Parameters:
      `projectPath` -
      `isTransient` - true if project is transient
    Returns:
      project location path